/*
 * 11/11/2001 - 17:58:01
 *
 * PanelLocator.java - panel de gestion des QRALocator
 * Copyright (C) 2001 C. Mercier
 * c.avmdti@free.fr
 * www.avmdti.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/**
 * Titre : QRA LOCATOR<p>
 * Description : outil de calcul pour le QRA locator<p>
 * Copyright : Copyright (c) C. Mercier<p>
 * Socit : www.avmdti.org<p>
 * @author C. Mercier
 * @version 1.0
 */
package org.avmdti.qralocator.ihm;

import java.awt.*;


public class PanelLocator extends Panel {
        Label jLabelLocator = new Label();
        TextField jTexFieldQraLocator = new TextField();
        FlowLayout flowLayout1 = new FlowLayout();

        public PanelLocator() {
                try {
                        jbInit();
                } catch (Exception ex) {
                        ex.printStackTrace();
                }
        }
        /**
        * recupre un locator
        *
        * @return= retourne le locator.
        */
        public String getLocator() {
                return (jTexFieldQraLocator.getText());
        }
        /**
        * positionne un locoator dans le panel
        *
        * @param= retourne le locator
        */
        public void setLocator(String L) {
                jTexFieldQraLocator.setText(L);
        }

        void jbInit() throws Exception {
                jLabelLocator.setFont(new java.awt.Font("Dialog", 1, 12));
                jLabelLocator.setForeground(Color.blue);
                jLabelLocator.setText("QRA Locator");
                this.setLayout(flowLayout1);
                jTexFieldQraLocator.setText("AA00AA");
                this.add(jLabelLocator, null);
                this.add(jTexFieldQraLocator, null);
        }
}

